Bug 170682 - [NEW PORT] graphics/puckman: An unofficial clone of the original Pac-Man game
[NEW PORT] graphics/puckman: An unofficial clone of the original Pac-Man game
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Boris Samorodov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 22:20 UTC by nemysis
Modified: 2012-09-21 14:20 UTC (History)
0 users

See Also:


Attachments
.shar (4.15 KB, text/plain)
2012-08-16 22:20 UTC, nemysis
no flags Details
puckman.diff (348 bytes, patch)
2012-08-17 07:09 UTC, nemysis
no flags Details | Diff
puckman.diff (1.21 KB, patch)
2012-08-17 11:33 UTC, nemysis
no flags Details | Diff
puckman.shar (3.95 KB, application/x-shar)
2012-08-20 20:38 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-16 22:20:08 UTC
This game is an unofficial clone of the original Pac-Man game
and is not endorsed by the registered trademark owners Namco, Inc.

WWW: https://github.com/patapizza/puckman

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Boris Samorodov freebsd_committer 2012-09-21 12:05:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

take.
Comment 2 dfilter freebsd_committer 2012-09-21 14:13:20 UTC
Author: bsam
Date: Fri Sep 21 13:13:03 2012
New Revision: 304631
URL: http://svn.freebsd.org/changeset/ports/304631

Log:
  Add puckman 1.0, an unofficial clone of the original Pac-Man game.
  
  PR:		ports/170682
  Submitted by:	nemysis@gmx.ch

Added:
  head/games/puckman/
  head/games/puckman/Makefile   (contents, props changed)
  head/games/puckman/distinfo   (contents, props changed)
  head/games/puckman/files/
  head/games/puckman/files/patch-Makefile   (contents, props changed)
  head/games/puckman/files/patch-puckman.c   (contents, props changed)
  head/games/puckman/pkg-descr   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Fri Sep 21 13:10:23 2012	(r304630)
+++ head/games/Makefile	Fri Sep 21 13:13:03 2012	(r304631)
@@ -705,6 +705,7 @@
     SUBDIR += primateplunge
     SUBDIR += ptkei
     SUBDIR += ptools
+    SUBDIR += puckman
     SUBDIR += pushover
     SUBDIR += pvpgn
     SUBDIR += py-anki

Added: head/games/puckman/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/puckman/Makefile	Fri Sep 21 13:13:03 2012	(r304631)
@@ -0,0 +1,52 @@
+# New Ports collection makefile for	puckman
+# Date created:		2012-08-08
+# Whom:			nemysis@gmx.ch
+#
+# $FreeBSD$
+#
+
+PORTNAME=	puckman
+PORTVERSION=	1.0
+CATEGORIES=	games
+MASTER_SITES=	https://github.com/downloads/patapizza/puckman/
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	An unofficial clone of the original Pac-Man game
+
+LICENSE=	GPLv3
+
+FETCH_ARGS?=	-Fpr
+USE_GMAKE=	yes
+USE_SDL=	sdl image gfx
+
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}.png
+
+PORTDATA=	*
+PORTDOCS=	README.md
+
+.include <bsd.port.options.mk>
+
+do-build:
+	cd ${WRKSRC} && ${CC} -o ${PORTNAME} ${CFLAGS} \
+		-DDATA_PREFIX=\"${DATADIR}/\" \
+		-lm `${SDL_CONFIG} --cflags --libs` -lSDL -lSDL_image -lSDL_gfx -lm puckman.c
+
+do-install:
+# Executable
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+
+# Data
+	${MKDIR} ${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} images ${DATADIR})
+
+# Pixmaps
+	${INSTALL_DATA} ${WRKSRC}/images/logo.png ${PREFIX}/share/pixmaps/${PORTNAME}.png
+
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README.md ${DOCSDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/games/puckman/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/puckman/distinfo	Fri Sep 21 13:13:03 2012	(r304631)
@@ -0,0 +1,2 @@
+SHA256 (puckman-1.0.tar.gz) = 842919da45c77de4c77f66f11dde9f189b1d0d764f2ba76f5b93ee3288e967b2
+SIZE (puckman-1.0.tar.gz) = 210385

Added: head/games/puckman/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/puckman/files/patch-Makefile	Fri Sep 21 13:13:03 2012	(r304631)
@@ -0,0 +1,24 @@
+--- Makefile.orig	2012-08-16 19:32:29.000000000 +0200
++++ Makefile	2012-08-16 20:12:01.000000000 +0200
+@@ -1,10 +1,10 @@
+-BIN = $(DESTDIR)/usr/bin
+-ICONS = $(DESTDIR)/usr/share/puckman/images
+-ICON = $(DESTDIR)/usr/share/pixmaps
+-SYMICON = $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
++BIN = $(DESTDIR)/usr/local/bin
++ICONS = $(DESTDIR)/usr/local/share/puckman/images
++ICON = $(DESTDIR)/usr/local/share/pixmaps
++SYMICON = $(DESTDIR)/usr/local/share/icons/hicolor/48x48/apps
+ SHELL = /bin/sh
+ CC = g++
+-prefix = /usr
++prefix = /usr/local
+ includedir = $(prefix)/include
+ pacdir = ~/.puckman
+ puckman: puckman.c
+@@ -23,4 +23,4 @@
+ 
+ uninstall:
+ 	rm -vr $(ICONS) $(BIN)/puckman $(ICON)/puckman.png $(SYMICON)/puckman.png
+-	if test -e $(DESTDIR)/usr/share/applications/puckman.desktop; then rm -v $(DESTDIR)/usr/share/applications/puckman.desktop; fi
++	if test -e $(DESTDIR)/usr/local/share/applications/puckman.desktop; then rm -v $(DESTDIR)/usr/local/share/applications/puckman.desktop; fi

Added: head/games/puckman/files/patch-puckman.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/puckman/files/patch-puckman.c	Fri Sep 21 13:13:03 2012	(r304631)
@@ -0,0 +1,11 @@
+--- puckman.c.orig	2012-08-16 19:32:29.000000000 +0200
++++ puckman.c	2012-08-16 20:11:00.000000000 +0200
+@@ -29,7 +29,7 @@
+ #include <SDL_image.h>
+ #include <SDL_gfxPrimitives.h>
+ 
+-#define PACPATH "/usr/share/puckman/"
++#define PACPATH "/usr/local/share/puckman/"
+ #define SCREEN_WIDTH 461
+ #define SCREEN_HEIGHT 580
+ #define RIGHT 0

Added: head/games/puckman/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/puckman/pkg-descr	Fri Sep 21 13:13:03 2012	(r304631)
@@ -0,0 +1,4 @@
+This game is an unofficial clone of the original Pac-Man game
+and is not endorsed by the registered trademark owners Namco, Inc.
+
+WWW: https://github.com/patapizza/puckman
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Boris Samorodov freebsd_committer 2012-09-21 14:14:31 UTC
State Changed
From-To: open->closed

Committed, thanks!